name: lighthouse

meta:
    label: Lighthouse
    muiIcon: web
    views:
        - type: table
          mediaQuery: "(min-width: 600px)"
          columns:
              - source: insertTime
                filter: true
              - source: perfomance
                filter: true
              - source: accessibility
                filter: true
              - source: bestPractices
                filter: true
              - source: seo
                filter: true
        - type: simpleList
          mediaQuery: "(max-width: 599px)"
          primaryText: insertTime
          secondaryText: performance
          tertiaryText: accessibility

permissions:
    public:
        methods:
            get: false
            post: false
            put: false
            delete: false
    user:
        methods:
            get: true
            post: true
            put: true
            delete: true

projections:
    dashboard:

hooks:
    post:
        create:
            type: javascript
            file: hooks/lighthouse/post_create.js

fields:
    - name: analyzedPaths
      type: string[]
      meta:
          label: Analyzed Paths
    - name: performance
      type: number
      meta:
          label: Performance
    - name: accessibility
      type: number
      meta:
          label: Accessibility
    - name: bestPractices
      type: number
      meta:
          label: Best Practices
    - name: seo
      type: number
      meta:
          label: SEO
    - name: lighthouseMetrics

      type: object
      meta:
          label: Lighthouse Metrics
      subFields:
          - name: FCPS
            type: number
            meta:
                label: First Contentful Paint Score
          - name: FCPV
            type: number
            meta:
                label: First Contentful Paint Value
          - name: FMPV
            type: number
            meta:
                label: First Meaningful Paint Value

          - name: FMPS
            type: number
            meta:
                label: First Meaningful Paint Score

          - name: SIS
            type: number
            meta:
                label: Speed Index Score

          - name: SIV
            type: number
            meta:
                label: Speed Index Value
          - name: TTIS
            type: number
            meta:
                label: Time to Interactive Score

          - name: TTIV
            type: number
            meta:
                label: Time to Interactive Value
          - name: FPIDS
            type: number
            meta:
                label: First Potential Input Delay Score

          - name: FPIDV
            type: number
            meta:
                label: First Potential Input Delay Value
